<?php
/**
 * Created by PhpStorm.
 * User: Koussay
 * Date: 4/15/2018
 * Time: 2:38 PM
 */

namespace App\Rules;


use Illuminate\Contracts\Validation\Rule;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;

class ValidPassword implements Rule
{

    public function __construct($password)
    {
        $this->password = $password;
    }


    /**
     * Determine if the validation rule passes.
     *
     * @param  string $attribute
     * @param  mixed $value
     * @return bool
     */
    public function passes($attribute, $value)
    {

        return Hash::check($value,Auth::user()->getAuthPassword());

    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'Incorrect current password';
    }
}