<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use GuzzleHttp\Client;
use GuzzleHttp\Exception\ClientException;
use GuzzleHttp\Exception\GuzzleException;
use Validator;
use Setting;


class ConvertController extends Controller
{
    public function index()
    {
        return view('welcome');
    }

    public function convert(Request $request)
    {
        $allowed = explode(',',Setting::get('websites'));
        $hello_final = array();
        $urls= array();

        $url = $request->input('site');
        $validator = Validator::make($request->all(), [
            'site' => 'required|url',
        ]);
        $parsed = parse_url($url,PHP_URL_HOST);


           if ($validator->passes()) {
               if ((in_array($parsed,$allowed)) && ($parsed != 'www.youtube.com') ){
               $hello = $this->getResult($url);
               if(sizeof($hello)===1){
                   return response()->json(['success' => $hello], 200);
               }else{
                   /*Here we're going to populate the new array to use it in the view  */
                   $hello_final['title'] = $hello['title'];
                   $hello_final['thumnbail'] = $hello['thumbnail'];

                   /*    return sizeof($hello['urls']);*/
                   foreach($hello['urls'] as $url){
                       if($this->filter($url['label']))
                           array_push($urls,$url);
                   }
                   $hello_final['urls'] = $urls;


                   return response()->json(['success' => $hello_final], 200);
               }


           } else {
                   return response()->json(['error' => ['0'=>'Not Allowed']]);
           }
       }else{

               return response()->json(['error' => $validator->errors()->all()]);
       }

    }

    public function filter($label)
    {
        if (!(strpos($label, 'video')))
            return true;
        else
            return false;
    }


    public function getResult($url){
        $client = new Client();
        try {
            $res = $client->request('GET', 'https://www.saveitoffline.com/process/', [
                'query' => ['url' => $url,
                    'type' => 'json'
                ]
            ]);
        } catch (ClientException $e) {
            return response()->json(['error' => '404'], 404);
        } catch (GuzzleException $ee){
            return response()->json(['error' => '$ee']);
        }
        return  $hello = json_decode($res->getBody(), true);

    }
}


