@extends('layouts.app')
@section('styles')

@endsection
@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <form>

                    <div class="card">
                        <div class="card-header">Dashboard</div>
                        <div class="card-body">
                            <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link active" id="pills-general-tab" data-toggle="pill" href="#pills-general" role="tab" aria-controls="pills-home" aria-selected="true">General</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="pills-ads-tab" data-toggle="pill" href="#pills-ads" role="tab" aria-controls="pills-profile" aria-selected="false">Ads</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="pills-websites-tab" data-toggle="pill" href="#pills-websites" role="tab" aria-controls="pills-contact" aria-selected="false">Allowed Websites</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="pills-cred-tab" data-toggle="pill" href="#pills-cred" role="tab" aria-controls="pills-contact" aria-selected="false">Credentials</a>
                                </li>

                            </ul>
                            <div class="tab-content" id="pills-tabContent">
                                <div class="tab-pane fade show active" id="pills-general" role="tabpanel" aria-labelledby="pills-home-tab">

                                    {{--Site Name--}}
                                    <div class="form-group">
                                        <label for="exampleFormControlInput1">Site Name</label>
                                        <input type="text" class="form-control" name="sitename" id="sitename" value="{{ Setting::get('sitename','Downy') }}">

                                    </div>
                                    {{--Description--}}
                                    <div class="form-group">
                                        <label for="exampleFormControlInput1">Keywords</label>
                                        <input type="text" class="form-control" id="description" name="description" value="{{Setting::get('description','The most Powerful Downloader')}}">
                                    </div>
                                    {{--Google Analytics Code--}}
                                    <div class="form-group">
                                        <label for="exampleFormControlInput1">Google Analytcis Code</label>
                                        <input type="text" class="form-control" id="analytics" name="analytics" value="{{ Setting::get('analytics','UA-99437006-1') }}">
                                    </div>
                                    {{--Footer--}}
                                    <div class="form-group">
                                        <label for="exampleFormControlInput1">Footer</label>
                                        <input type="text" class="form-control" id="copyrights" name="copyrights" value="{{ Setting::get('copyrights','Made With <span class="oi oi-heart" style="color: #f44336"></span> In Dahmany') }}">
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="pills-ads" role="tabpanel" aria-labelledby="pills-profile-tab">

                                    {{--Ad Slot1--}}
                                    <div class="form-group">
                                        <label for="ad1">Ad Slot 1</label>
                                        <textarea class="form-control" id="ad1" name="ad1" rows="3">{{ Setting::get('ad1','Lorem ipsum') }}</textarea>
                                    </div>
                                    {{--Ad Slot2--}}
                                    <div class="form-group">
                                        <label for="ad2">Ad Slot 2</label>
                                        <textarea class="form-control" id="ad2" name="ad2" rows="3">{{ Setting::get('ad2','Lorem ipsum') }}</textarea>
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="pills-websites" role="tabpanel" aria-labelledby="pills-contact-tab">
                                    {{--Allowed Websites to download from--}}
                                    <label for="exampleFormControlInput1">Allowed Websites</label>
                                    <input type="text" class="form-control" id="websites" data-role="tagsinput" name="websites" value="{{ Setting::get('websites','www.youtube.com') }}"  placeholder="">
                                        <div class="alert alert-danger" role="alert">
                                            <ul>
                                                <li>You must enter only the hostname of the website: for example: https://www.youtube.com, only enter www.youtube.com
                                                </li>
                                                <li>You must separate every website by a comma ',' ,for example: www.youtube.com,www.dailymotion.com
                                                </li>
                                            </ul>
                                        </div>

                                </div>

                                <div class="tab-pane fade" id="pills-cred" role="tabpanel" aria-labelledby="pills-contact-tab">
                                    {{--Allowed Websites to download from--}}
                                    <label for="exampleFormControlInput1">Email</label>
                                    <input type="email" class="form-control" id="email"  name="email"  value="{{Setting::get('email','admin@prettifystudio.com')}}">

                                    <label for="exampleFormControlInput1">Old Password</label>
                                    <input type="password" class="form-control" id="old"  name="old"  placeholder="">

                                    <label for="exampleFormControlInput1">New Password</label>
                                    <input type="password" class="form-control" id="password"  name="password"  placeholder="">

                                    <label for="exampleFormControlInput1">New Password Confirmation</label>
                                    <input type="password" class="form-control" id="password_confirmation"  name="password_confirmation"  placeholder="">
                                </div>
                            </div>


                        </div>
                        <div class="card-footer text-muted">
                            <button type="submit" id="general" class="btn btn-primary mb-2">Save</button>
                        </div>

                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
@section('scripts')
    <script type="text/javascript" src="{{ asset('js/tagsinput.js') }}"></script>
    <script type="text/javascript"
            src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-growl/1.0.0/jquery.bootstrap-growl.min.js"></script>
    <script>
     jQuery('#general').click(function (e) {
            e.preventDefault();
            $('.invalid-feedback').remove();
            $('input').removeClass('is-invalid')
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: '{{ route('generalSettings') }}',
                method: 'post',
                data: {
                    sitename: $('#sitename').val(),
                    description: $('#description').val(),
                    analytics: $('#analytics').val(),
                    copyrights: $('#copyrights').val(),
                    ad1:  $("textarea[name='ad1']").val(),
                    ad2: $("textarea[name='ad2']").val(),
                    websites: $('#websites').val(),
                    email: $('#email').val(),
                    old: $("#old").val(),
                    password: $('#password').val(),
                    password_confirmation: $('#password_confirmation').val()
                },
                success: function (result) {
                    if($.isEmptyObject(result.error)){
                        console.log(result);
                        $.bootstrapGrowl('Settings saved.',{
                            type: 'success',
                            delay: 2000
                        });
                    }else{
                        console.log(result.error);
                        if(result.error == 'Not Allowed'){
                            console.log('Fuck You')
                        }else{
                            $.each(result.error, function (key, value) {
                                $( "input[name*="+key+"]" ).addClass('is-invalid');
                                $('<div class="print-error-msg invalid-feedback">'+value+'</div>').insertAfter('#'+key+'')
                            });
                            $.bootstrapGrowl('Whoops these errors o.',{
                                type: 'danger',
                                delay: 2000,
                            });
                        }

                    }
                }
            });


        });
    </script>
@endsection
