@extends('layouts.app')

@section('content')
    <div class="container-fluid">

        <div class="row">

            <div class="col-md-3">
                {!! Setting::get('ad1','loremAd1') !!}
            </div>
            <div class="col-md-6 p-5">
                <div class="container">

                    <div class="col-sm-12 text-center">
                        <div id="msg" style="display:none"></div>
                    </div>
                    <div class="col-sm-12 text-center"><img id="thumb" style="display: none" class="mx-auto d-block "
                                                            width="75%" height="75%"></div>
                    <div class="col-sm-12 text-center">
                        <div class="btn-group text-center" id="download" style="display: none">
                            <button type="button" class="btn btn-danger dropdown-toggle text-center"
                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Download
                            </button>
                            <div class="dropdown-menu text-center" id="download_menu">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12 text-center">
                    </div>
                </div>
                <form>
                    <div class="input-group mb-3">
                        <input type="url" class="form-control form-control-lg" id="site"
                               placeholder="http://www.example.com"
                               name="site">
                        <div class="input-group-append">
                            <button class="btn btn-outline-success" name="submit" id="convert" type="submit"><span
                                        class="oi oi-cloud-download"></span>
                            </button>
                        </div>
                        <div class="print-error-msg invalid-feedback" style="display:none">
                        </div>
                    </div>
                </form>
            </div>
            <div class="col-md-3 d-none d-xl-block">
               {!! Setting::get('ad2','LoremAd2') !!}
            </div>
        </div>
    </div>
@endsection
@section('scripts')
    <script>
	
	jQuery(document).ready(function () {
    NProgress.configure({showSpinner: false});
    jQuery('#convert').click(function (e) {
        e.preventDefault();
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        jQuery.ajax({
            url: '{{ route('convert')}}',
            method: 'post',
            data: {
                site: jQuery('#site').val()
            },
            beforeSend: function () {
                NProgress.start();
                NProgress.inc();
            },
            success: function (result) {
                if ($.isEmptyObject(result.error)) {
                    $('form').fadeOut('slow');
                    $('.print-error-msg').fadeOut('slow');
                    if (Object.keys(result.success).length !== 1) {
                        $('#download').css('display', '');
                        $('#msg').append('<h1>' + result.success.title + '</h1>');
                        $('#thumb').attr('src', result.success.thumnbail);
                        $('#thumb').attr('class', 'img-thumbnail');
                        $('#thumb').css('display', '');
                        $.each(result.success.urls, function (key, value) {
                            $('#download_menu').prepend('<a class="dropdown-item" href="' + value.id + '">' + value.label + '</a>');
                        });

                    } else {
                        if (result.success.error === "miss")
                            $('#msg').append('<h1>No Media Found</h1>');
                        else {
                            $('#msg').append('<h1>Not Supported</h1>');
                        }
                    }
                    $('#msg').fadeIn('slow');
                } else {
                    if (result.error === 'Not Allowed') {
                         console.log('FuckYou');
                        $(".print-error-msg").append('Not Allowed');
                        $("#site").addClass('is-invalid');
                     } else {
                    console.log(result.error);
                        printErrorMsg(result.error);
                     }
                    console.log(result.error)

                }

            },
            error: function (xhr, status, errorThrown) {
                $('#msg').append('<h1>Oooopsie, Something wrong happened, please try again later</h1>');
            },
            complete: function (data) {
                NProgress.done();
            }
        });
    });

    function printErrorMsg(msg) {
        $(".print-error-msg").html('');
        $(".print-error-msg").css('display', 'block');
        $.each(msg, function (key, value) {
            $(".print-error-msg").append(value);
            $("#site").addClass('is-invalid');
            console.log(key);
            console.log(value);

        });
    }

});
	
	</script>
@endsection

